Skip to content
API referenceConsumerConsumer.account

Get the authenticated consumer profile

GET
/consumer/v1/me

Returns the consumer account profile for the bearer token presenting the request, resolved in the request's project. Surfaces basic identity info (email, name, avatar) used by client UIs to render the signed-in account header.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/consumer/v1/me"
{  "email": "string",  "first_name": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "is_superadmin": true,  "last_name": "string",  "profile_picture": "string"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}